Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.model.server
Class TCPIPServerPortBindingInfo

    java.lang.Object
      com.stc.connector.tcpip.model.server.TCPIPServerPortBindingInfo

All Implemented Interfaces:
  TCPIPServerPortBindingInfoInterface

    public class TCPIPServerPortBindingInfo

extends java.lang.Object
implements TCPIPServerPortBindingInfoInterface

This class represents TCPIP ServerSocket binding information.

Version:
  cvs revision: $Revision: 1.5 $ Last Modified: $Date: 2008/04/23 07:15:25 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Constructor Summary
`TCPIPServerPortBindingInfo()` Constructor for TCPIPServerPortBindingInfo.
`TCPIPServerPortBindingInfo(com.stc.connector.framework.util.ConfigurationHelper aConfiguration)` Constructor for TCPIPServerPortBindingInfo.

Method Summary
`com.stc.connector.framework.util.ConfigurationHelper` | `getInitPropertiesInfo()` Returns the initial configuration.
`int` | `getMaxBindingRetries()`
`long` | `getRetryBindingInterval()`
`void` | `setMaxBindingRetries(int i)`
`void` | `setRetryBindingInterval(long l)`
`void` | `validate()` Validates the socket configuration settings.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### TCPIPServerPortBindingInfo

    public TCPIPServerPortBindingInfo()
                               throws TCPIPApplicationException

  Constructor for TCPIPServerPortBindingInfo.

  Throws:
    `TCPIPApplicationException` - on error.

### TCPIPServerPortBindingInfo

    public TCPIPServerPortBindingInfo(com.stc.connector.framework.util.ConfigurationHelper aConfiguration)
                               throws TCPIPApplicationException

  Constructor for TCPIPServerPortBindingInfo.

  Parameters:
    `aConfiguration` - The initial properties into.
  Throws:
    `TCPIPApplicationException` - on error.

Method Detail

### getInitPropertiesInfo

    public com.stc.connector.framework.util.ConfigurationHelper getInitPropertiesInfo()

  Returns the initial configuration.

  Returns:
    ConfigurationHelper

### getMaxBindingRetries

    public int getMaxBindingRetries()

  Specified by:
    `getMaxBindingRetries` in interface `TCPIPServerPortBindingInfoInterface`
  Returns:
    int

### getRetryBindingInterval

    public long getRetryBindingInterval()

  Specified by:
    `getRetryBindingInterval` in interface `TCPIPServerPortBindingInfoInterface`
  Returns:
    long

### setMaxBindingRetries

    public void setMaxBindingRetries(int i)
                              throws TCPIPApplicationException

  Parameters:
    `i` - the value to set
  Throws:
    `TCPIPApplicationException` - on error

### setRetryBindingInterval

    public void setRetryBindingInterval(long l)
                                 throws TCPIPApplicationException

  Parameters:
    `l` - the value to set
  Throws:
    `TCPIPApplicationException` - on error

### validate

    public void validate()
                  throws TCPIPApplicationException

  Validates the socket configuration settings.

  Throws:
    `TCPIPApplicationException` - on error

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD